Subject: Re: bug#63455: 30.0.50; display-buffer-in-direction is always resizing

From: martin rudalics <[email-masked]>
Date: Tue, 16 May 2023 09:19:28 +0200

> Maybe temporary buffers should resize windows by default?
 > Then such an option should be able to override the default behavior.

We could write a function similar to 'completions--fit-window-to-buffer'
(do you know what the &rest _ args there are used for?) like

(defun maybe-fit-window-to-buffer (&optional window)
   "Fit WINDOW to buffer if 'temp-buffer-resize-mode' is on."
   (when temp-buffer-resize-mode
     (resize-temp-buffer-window window)))

and use that in all occasions where we want to resize a window outside
the scope of 'with-temp-buffer-window' when 'temp-buffer-resize-mode'
was turned on by the user (leaving alone the behavior of the earlier
mentioned 're-builder' etc. which apparently work without complaints).

martin